public class Phrase
{
    private String currentPhrase;
    
    /** Constructs a new Phrase object. */ 

    public Phrase(String p)
    { currentPhrase = p; }

    /** Returns the index of the nth occurrence of str in the current phrase;
     * returns -1 if the nth occurrence does not exist.
     * Precondition: str.length() > 0 and n > 0
     * Postcondition: the current phrase is not modified.
     */

    public int findNthOccurrence(String str, int n) 
    { 
        int count = 0;
        for(int i= 0; i < currentPhrase.length(); i++)
        {
            if (i+str.length() <= currentPhrase.length())
            {
                if (currentPhrase.substring(i, i+str.length()).equals(str))
                {
                    count++;
                    if (count == n)
                    {
                        return i;
                    }
                }
            }
        }
        return -1;
    }

    /** Modifies the current phrase by replacing the nth occurrence of str with repl.
     * If the nth occurrence does not exist, the current phrase is unchanged.
     * Precondition: str.length() > 0 and n > 0 
     */

    public void replaceNthOccurrence(String str, int n, String repl)
    { 
        /* to be implemented in part (a) */ 
        int i = findNthOccurrence(str,n);
        
        if(i!=-1){
            currentPhrase = currentPhrase.substring(0,i) + repl + currentPhrase.substring(i+str.length());
            
        }
        
    }
    



    /** Returns a string containing the current phrase. */ 

    public String toString()

    { return currentPhrase; }
    
}